﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace GridViewWithExpanderExample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<DataItem> collection = new ObservableCollection<DataItem>();
            collection.Add(new DataItem("Item 1"));
            collection.Add(new DataItem("Item 2"));
            collection.Add(new DataItem("Item 3"));
            collection.Add(new DataItem("Item 4"));
            collection.Add(new DataItem("Item 5"));

            radGrid.ItemsSource = collection;
        }
    }

    public class DataItem
    {
        public string Name
        {
            get;
            set;
        }

        public DataItem(string name)
        {
            this.Name = name;
        }
    }
}
